Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.tableoutput
Class TableOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.tableoutput.TableOutputData

All Implemented Interfaces:
  StepDataInterface

    public class TableOutputData

extends BaseStepData
implements StepDataInterface

Storage class for table output step.

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`List<Object[]>` | `batchBuffer`
`boolean` | `batchMode` Use batch mode or not?
`Map<String,Integer>` | `commitCounterMap`
`int` | `commitSize`
`org.pentaho.di.core.database.DatabaseMeta` | `databaseMeta`
`SimpleDateFormat` | `dateFormater` Cache of the data formatter object
`org.pentaho.di.core.database.Database` | `db`
`int` | `indexOfPartitioningField`
`int` | `indexOfTableNameField`
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Map<String,PreparedStatement>` | `preparedStatements` Mapping between the SQL and the actual prepared statement.
`Savepoint` | `savepoint`
`boolean` | `sendToErrorRow`
`boolean` | `specialErrorHandling`
`String` | `tableName`
`int[]` | `valuenrs`
`int` | `warnings`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`TableOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### warnings

    public int warnings

### tableName

    public String tableName

### valuenrs

    public int[] valuenrs

### preparedStatements

    public Map<String,PreparedStatement> preparedStatements

  Mapping between the SQL and the actual prepared statement. Normally this is only one, but in case we have more then one, it's convenient to have this.

### indexOfPartitioningField

    public int indexOfPartitioningField

### dateFormater

    public SimpleDateFormat dateFormater

  Cache of the data formatter object

### batchMode

    public boolean batchMode

  Use batch mode or not?

### indexOfTableNameField

    public int indexOfTableNameField

### batchBuffer

    public List<Object[]> batchBuffer

### sendToErrorRow

    public boolean sendToErrorRow

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

### specialErrorHandling

    public boolean specialErrorHandling

### savepoint

    public Savepoint savepoint

### databaseMeta

    public org.pentaho.di.core.database.DatabaseMeta databaseMeta

### commitCounterMap

    public Map<String,Integer> commitCounterMap

### commitSize

    public int commitSize

Constructor Detail

### TableOutputData

    public TableOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD